import QtQuick 2.0
import Ubuntu.Components 0.1
import Ubuntu.Components.ListItems 0.1 as ListItem
import "../dateutils.js" as DateUtils
import "../databasemodule_v2.js" as DB

UbuntuShape
{
    width: units.gu(18)
    height: units.gu(15) /*content.height + units.gu(4)*/
    color: rss_item.status == "1" ? Qt.rgba(0, 0, 0, 0.7) : Qt.rgba(0, 0, 0, 0.4)
    radius: "medium"

    property variant rss_item
    property variant imageArray: []
    property variant rss_model
    property int model_index

    Column
    {
        id: content
//        anchors{ left: parent.left; right: parent.right; margins: units.gu(2); verticalCenter: parent.verticalCenter }
        anchors {
            fill: parent; topMargin: units.gu(2); bottomMargin: units.gu(1.5);
            leftMargin: units.gu(1); rightMargin: units.gu(1.5)
        }
        spacing: units.gu(1)

        Label
        {
            id: label_time
            text: DateUtils.formatRelativeTime(i18n, rss_item.pubdate)
            fontSize: "x-small"
            width: parent.width
            wrapMode: Text.WrapAtWordBoundaryOrAnywhere
            opacity: 0.6
        }

        Label
        {
            id: label_title
            text: rss_item.title
            width: parent.width
            height: parent.height - parent.spacing * 2 - label_time.paintedHeight - label_feedname.paintedHeight
            wrapMode: Text.WrapAtWordBoundaryOrAnywhere
            fontSize: "small"
            textFormat: Text.PlainText
            font.weight: Font.DemiBold
            elide: Text.ElideRight
            opacity: rss_item.status == "1" ? 0.4 : 0.8
        }

        Label
        {
            id: label_feedname
            text: rss_item.feed_name
            fontSize: "x-small"
            width: parent.width
            wrapMode: Text.WrapAtWordBoundaryOrAnywhere
            opacity: 0.6
        }
    }

    MouseArea
    {
        anchors.fill: parent

        onClicked:
        {
//            var dbResult = DB.updateArticleStatus(rss_item.id, "1")
//            if (dbResult.rowsAffected == 1) {
//                rss_item.status = "1"
//            }
            mainView.toRssPage(rss_model, model_index) ;
        }
    }
}
